<?php
 
 
 

namespace PhpWA\Protocol\Proto\WebFeatures;

use UnexpectedValueException;




class Flag
{
    


    const NOT_STARTED = 0;
    


    const FORCE_UPGRADE = 1;
    


    const DEVELOPMENT = 2;
    


    const PRODUCTION = 3;

    private static $valueToName = [
        self::NOT_STARTED => 'NOT_STARTED',
        self::FORCE_UPGRADE => 'FORCE_UPGRADE',
        self::DEVELOPMENT => 'DEVELOPMENT',
        self::PRODUCTION => 'PRODUCTION',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

